Skip to main content
GET
/
api
/
v1
/
perps
/
positions
My perp positions
curl --request GET \
  --url https://api.alpha-labs.trade/api/v1/perps/positions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "userId": "<string>",
      "groupId": "<string>",
      "proposalId": "<string>",
      "subaccountIndex": 123,
      "marketSymbol": "<string>",
      "status": "<string>",
      "openedAt": "2023-11-07T05:31:56Z",
      "closedAt": "2023-11-07T05:31:56Z",
      "initialCollateralUsdc": "12.50",
      "initialLeverage": "4.27",
      "currentSizeBaseLots": "<string>",
      "currentSizeBaseUnits": "4.27",
      "positionValueUsd": "12.50",
      "entryPriceUsd": "12.50",
      "exitPriceUsd": "12.50",
      "collateralBalanceUsdc": "12.50",
      "effectiveCollateralUsdc": "12.50",
      "unrealizedPnlUsd": "12.50",
      "unsettledFundingUsd": "12.50",
      "accumulatedFundingUsd": "12.50",
      "liquidationPriceUsd": "12.50",
      "stopLossPriceUsd": "12.50",
      "takeProfitPriceUsd": "12.50",
      "marketStatus": "<string>",
      "closeReason": "<string>",
      "claimedAt": "2023-11-07T05:31:56Z",
      "isClaimable": true,
      "priceRealizedPnlUsd": "12.50",
      "fundingRealizedUsd": "12.50",
      "totalFeesUsd": "12.50",
      "liquidationPenaltyUsd": "12.50",
      "netRealizedPnlUsd": "12.50",
      "finalCollateralReturned": "12.50",
      "participantCount": 123,
      "participantAvatars": [
        "<string>"
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer murmo_.... Keys are created in the Murmo app. Header-only — keys are never read from the query string. Valid for the REST API under /api/v1 only (not the GraphQL endpoint).

Query Parameters

filter
enum<string>
default:active
Available options:
active,
past,
all

Response

Positions.

data
object[]